/Users/bernard/b20/bsoft/include/rwRAW.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwRAW.h - Header file for reading and writing Raw files.

SYNOPSIS

#include 'rwimg.h'

  Functions
int readRAW (Bimage *p, int img_select)
Reading a raw block of data in a file.
int writeRAW (Bimage *p)
Writing a raw block of data in a file.

Detailed Description

Header file for reading and writing Raw files.

Author:
    Bernard Heymann

Date:
    Created: 19990724

    Modified: 20010410

    A Raw file is defined as consisting of only a block data with no additional info
    Format: Generic customizable 3D image file format

Definition in file rwRAW.h.

Function Documentation

  int readRAW (Bimage * p, int img_select)

Reading a raw block of data in a file.

Parameters:
    *p the image structure.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int 0. A 5D format for generalized access to data in Bsoft. File format extensions: .raw and # The special symbol '#' appended to a valid file name is taken to indicate that the file should be interpreted as a raw data block. To further specify how the data block should be read, several variable-value pairs can be appended, each pair started with a '#'. Variable-value pairs: h=header_size d=data_type x=size_x,size_y,size_z p=page_size_x,page_size_y,page_size_z a=padding_bytes_between_pages s=sampling_x,sampling_y,sampling_z c=number_of_channels n=number_of_images i=image_selected f=transform_type (n=NoTransform, s=Standard, c=Centered, h=Hermitian, q=CentHerm) b=1=swap_bytes v=1=vax_floating_point

Definition at line 44 of file rwRAW.cpp.

  int writeRAW (Bimage * p)

Writing a raw block of data in a file.

Parameters:
    *p the image structure.

Returns:
    int 0. A 5D format for generalized access to data in Bsoft.

Definition at line 192 of file rwRAW.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.